> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://virtuous.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://virtuous.ferndocs.com/_mcp/server.

# Update Recurring Reminder

PUT https://api.virtuoussoftware.com/api/Reminder/Saved/Recurring/{id}
Content-Type: application/json

Similar to other update methods in the API, excluding a property will remove it's value from the object. 
If you're only updating a single property, the entire model is still required.

Reference: https://virtuous.ferndocs.com/reference/crm-plus/reminders-deprecated/update-recurring-reminder

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.virtuoussoftware.com` (https://api.virtuoussoftware.com, default)
- `{{baseUrl}}api` ({{baseUrl}}api)

## Request

### Path parameters

- `id` (string, required)

### Body (application/json)

This endpoint expects an object.

- `id` (string, optional)
- `taskType` (string, optional)
- `message` (string, optional)
- `name` (string, optional)
- `dueDate` (string, optional)
- `contactId` (string, optional)
- `reminderFrequency` (string, optional)
- `description` (string, optional)

## Response

### 200

OK

- `id` (string, optional)
- `name` (string, optional)
- `reminderSourceType` (string, optional)
- `reminderSourceTypeDisplayName` (string, optional)
- `reminders` (list of ApiReminderSavedRecurringIdPutResponsesContentApplicationJsonSchemaRemindersItems, optional)
- `message` (string, optional)
- `dueDate` (string, optional)
- `contactId` (string, optional)
- `contactDisplayName` (string, optional)
- `reminderFrequency` (string, optional)
- `reminderFrequencyDisplayName` (string, optional)
- `milestoneType` (string, optional)
- `milestoneTypeDisplayName` (string, optional)
- `threshold` (string, optional)
- `description` (string, optional)

## Errors

### 400 Bad Request Error

BadRequest

- `any`

### 404 Not Found Error

NotFound

- `any`

## Types

### ApiReminderSavedRecurringIdPutResponsesContentApplicationJsonSchemaRemindersItems

- `id` (string, optional)
- `message` (string, optional)
- `targetDate` (string, optional)
- `targetResolutionDateUtc` (string, optional)
- `contactId` (string, optional)
- `contactViewUrl` (string, optional)
- `contactDisplayName` (string, optional)
- `contactAvatarUrl` (string, optional)
- `reminderType` (string, optional)
- `reminderTypeDisplayName` (string, optional)
- `taskStatus` (string, optional)
- `taskStatusDisplayName` (string, optional)
- `completeUrl` (string, optional)
- `dismissUrl` (string, optional)
- `description` (string, optional)
- `hasContact` (string, optional)
- `isPastDue` (string, optional)
- `isUnresolved` (string, optional)
- `canComplete` (string, optional)
- `completeActionName` (string, optional)
- `canCompleteWithNote` (string, optional)
- `owner` (string, optional)
- `ownerAvatarUrl` (string, optional)

## Examples

**Request**

```json
{
  "id": "<integer>",
  "taskType": "<string>",
  "message": "<string>",
  "name": "<string>",
  "dueDate": "<dateTime>",
  "contactId": "<integer>",
  "reminderFrequency": "<string>",
  "description": "<string>"
}
```

**Response**

```json
{
  "id": "<integer>",
  "name": "<string>",
  "reminderSourceType": "<string>",
  "reminderSourceTypeDisplayName": "<string>",
  "reminders": [
    {
      "id": "<integer>",
      "message": "<string>",
      "targetDate": "<string>",
      "targetResolutionDateUtc": "<dateTime>",
      "contactId": "<integer>",
      "contactViewUrl": "<string>",
      "contactDisplayName": "<string>",
      "contactAvatarUrl": "<string>",
      "reminderType": "<string>",
      "reminderTypeDisplayName": "<string>",
      "taskStatus": "<string>",
      "taskStatusDisplayName": "<string>",
      "completeUrl": "<string>",
      "dismissUrl": "<string>",
      "description": "<string>",
      "hasContact": "<boolean>",
      "isPastDue": "<boolean>",
      "isUnresolved": "<boolean>",
      "canComplete": "<boolean>",
      "completeActionName": "<string>",
      "canCompleteWithNote": "<boolean>",
      "owner": "<string>",
      "ownerAvatarUrl": "<string>"
    },
    {
      "id": "<integer>",
      "message": "<string>",
      "targetDate": "<string>",
      "targetResolutionDateUtc": "<dateTime>",
      "contactId": "<integer>",
      "contactViewUrl": "<string>",
      "contactDisplayName": "<string>",
      "contactAvatarUrl": "<string>",
      "reminderType": "<string>",
      "reminderTypeDisplayName": "<string>",
      "taskStatus": "<string>",
      "taskStatusDisplayName": "<string>",
      "completeUrl": "<string>",
      "dismissUrl": "<string>",
      "description": "<string>",
      "hasContact": "<boolean>",
      "isPastDue": "<boolean>",
      "isUnresolved": "<boolean>",
      "canComplete": "<boolean>",
      "completeActionName": "<string>",
      "canCompleteWithNote": "<boolean>",
      "owner": "<string>",
      "ownerAvatarUrl": "<string>"
    }
  ],
  "message": "<string>",
  "dueDate": "<dateTime>",
  "contactId": "<integer>",
  "contactDisplayName": "<string>",
  "reminderFrequency": "<string>",
  "reminderFrequencyDisplayName": "<string>",
  "milestoneType": "<string>",
  "milestoneTypeDisplayName": "<string>",
  "threshold": "<integer>",
  "description": "<string>"
}
```

**SDK Code**

```python Reminders (Deprecated)_updateRecurringReminder_example
import requests

url = "https://api.virtuoussoftware.com/api/Reminder/Saved/Recurring/id"

payload = {
    "id": "<integer>",
    "taskType": "<string>",
    "message": "<string>",
    "name": "<string>",
    "dueDate": "<dateTime>",
    "contactId": "<integer>",
    "reminderFrequency": "<string>",
    "description": "<string>"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript Reminders (Deprecated)_updateRecurringReminder_example
const url = 'https://api.virtuoussoftware.com/api/Reminder/Saved/Recurring/id';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"id":"<integer>","taskType":"<string>","message":"<string>","name":"<string>","dueDate":"<dateTime>","contactId":"<integer>","reminderFrequency":"<string>","description":"<string>"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Reminders (Deprecated)_updateRecurringReminder_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.virtuoussoftware.com/api/Reminder/Saved/Recurring/id"

	payload := strings.NewReader("{\n  \"id\": \"<integer>\",\n  \"taskType\": \"<string>\",\n  \"message\": \"<string>\",\n  \"name\": \"<string>\",\n  \"dueDate\": \"<dateTime>\",\n  \"contactId\": \"<integer>\",\n  \"reminderFrequency\": \"<string>\",\n  \"description\": \"<string>\"\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Reminders (Deprecated)_updateRecurringReminder_example
require 'uri'
require 'net/http'

url = URI("https://api.virtuoussoftware.com/api/Reminder/Saved/Recurring/id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"id\": \"<integer>\",\n  \"taskType\": \"<string>\",\n  \"message\": \"<string>\",\n  \"name\": \"<string>\",\n  \"dueDate\": \"<dateTime>\",\n  \"contactId\": \"<integer>\",\n  \"reminderFrequency\": \"<string>\",\n  \"description\": \"<string>\"\n}"

response = http.request(request)
puts response.read_body
```

```java Reminders (Deprecated)_updateRecurringReminder_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.virtuoussoftware.com/api/Reminder/Saved/Recurring/id")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"id\": \"<integer>\",\n  \"taskType\": \"<string>\",\n  \"message\": \"<string>\",\n  \"name\": \"<string>\",\n  \"dueDate\": \"<dateTime>\",\n  \"contactId\": \"<integer>\",\n  \"reminderFrequency\": \"<string>\",\n  \"description\": \"<string>\"\n}")
  .asString();
```

```php Reminders (Deprecated)_updateRecurringReminder_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.virtuoussoftware.com/api/Reminder/Saved/Recurring/id', [
  'body' => '{
  "id": "<integer>",
  "taskType": "<string>",
  "message": "<string>",
  "name": "<string>",
  "dueDate": "<dateTime>",
  "contactId": "<integer>",
  "reminderFrequency": "<string>",
  "description": "<string>"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Reminders (Deprecated)_updateRecurringReminder_example
using RestSharp;

var client = new RestClient("https://api.virtuoussoftware.com/api/Reminder/Saved/Recurring/id");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"id\": \"<integer>\",\n  \"taskType\": \"<string>\",\n  \"message\": \"<string>\",\n  \"name\": \"<string>\",\n  \"dueDate\": \"<dateTime>\",\n  \"contactId\": \"<integer>\",\n  \"reminderFrequency\": \"<string>\",\n  \"description\": \"<string>\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Reminders (Deprecated)_updateRecurringReminder_example
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "id": "<integer>",
  "taskType": "<string>",
  "message": "<string>",
  "name": "<string>",
  "dueDate": "<dateTime>",
  "contactId": "<integer>",
  "reminderFrequency": "<string>",
  "description": "<string>"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.virtuoussoftware.com/api/Reminder/Saved/Recurring/id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```